import { Controller } from '@nestjs/common';
import { EventPattern, MessagePattern } from '@nestjs/microservices';
import { LabelService } from './label.service';

@Controller()
export class LabelController {
  constructor(private readonly labelService: LabelService) {}

  @MessagePattern('dicom.label.category.create')
  async createLabelCategory(payload) {
    const inserted = await this.labelService.createLabelCategory(payload);
    return { statusCode: 200, data: inserted };
  }

  @EventPattern({ cmd: 'dicom.label.create' })
  async createLabel(payload) {
    return this.labelService.createLabel(payload);
  }

  @MessagePattern('dicom.label.category.find.all')
  async findAllLabelCategory() {
    return await this.labelService.findAllLabelCategory();
  }
}
